import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

//declare the url of the json file containing state information
const jsonUrl =
  "https://gist.githubusercontent.com/sampath5/196387a3d6a27037879f87a1b1fb1307/raw/1c88a3d98b4137a97b52d3592c3ce71b42890523/italy.json";

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)

  //useEffect() to run the effects after any changes to the DOM.
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          land: feature(topojsonData, topojsonData.objects['regions']),
        	interiors: mesh(topojsonData, topojsonData.objects['regions'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};